https://github.com/LibreOffice/core/commit/6ebc3c540f2aa13363e3dcb32a44bfa2c7f66a9f
https://github.com/LibreOffice/core/commit/0084c2b22ce26084df5a379135ba8ac174585ac0
https://github.com/LibreOffice/core/commit/19c32b44fead600118377417012b111a4f238766
https://gerrit.libreoffice.org/c/core/+/186476/1
https://gerrit.libreoffice.org/c/core/+/186477/1
https://gerrit.libreoffice.org/c/core/+/186504

From 6ebc3c540f2aa13363e3dcb32a44bfa2c7f66a9f Mon Sep 17 00:00:00 2001
From: Stephan Bergmann <stephan.bergmann@allotropia.de>
Date: Mon, 9 Jun 2025 21:03:40 +0200
Subject: [PATCH] Missing include (for USHRT_MAX)

Change-Id: I9d2a59fd198679c2a7a7ce124e2548f2add61d6d
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/186303
Tested-by: Jenkins
Reviewed-by: Stephan Bergmann <stephan.bergmann@allotropia.de>
--- a/include/comphelper/errcode.hxx
+++ b/include/comphelper/errcode.hxx
@@ -21,6 +21,7 @@
 #include <config_options.h>
 #include <rtl/ustring.hxx>
 #include <comphelper/comphelperdllapi.h>
+#include <climits>
 #include <ostream>
 #include <o3tl/typed_flags_set.hxx>
 #include <optional>

From 0084c2b22ce26084df5a379135ba8ac174585ac0 Mon Sep 17 00:00:00 2001
From: Stephan Bergmann <stephan.bergmann@allotropia.de>
Date: Mon, 9 Jun 2025 22:07:46 +0200
Subject: [PATCH] Missing include (for LONG_MAX)

Change-Id: I8f03310ab1b5da503670f77bf9c5211e956dd48c
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/186305
Tested-by: Jenkins
Reviewed-by: Stephan Bergmann <stephan.bergmann@allotropia.de>
--- a/sc/source/core/data/dptabsrc.cxx
+++ b/sc/source/core/data/dptabsrc.cxx
@@ -20,6 +20,7 @@
 #include <dptabsrc.hxx>
 
 #include <algorithm>
+#include <climits>
 #include <vector>
 
 #include <comphelper/sequence.hxx>

From 19c32b44fead600118377417012b111a4f238766 Mon Sep 17 00:00:00 2001
From: Stephan Bergmann <stephan.bergmann@allotropia.de>
Date: Mon, 9 Jun 2025 21:05:19 +0200
Subject: [PATCH] Missing include (for SHRT_MIN/MAX)

Change-Id: I1755b440515724315aa2e540fe3de4a473371dc4
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/186304
Tested-by: Jenkins
Reviewed-by: Stephan Bergmann <stephan.bergmann@allotropia.de>
--- a/sax/source/tools/converter.cxx
+++ b/sax/source/tools/converter.cxx
@@ -39,6 +39,7 @@
 #include <tools/time.hxx>
 
 #include <algorithm>
+#include <climits>
 #include <map>
 #include <string_view>
 
From bae60d77e59b93588c1698c3f8fe0d0002122c7b Mon Sep 17 00:00:00 2001
Message-ID: <bae60d77e59b93588c1698c3f8fe0d0002122c7b.1749840898.git.sam@gentoo.org>
From: Sam James <sam@gentoo.org>
Date: Fri, 13 Jun 2025 19:09:27 +0100
Subject: [PATCH 1/2] svl: include <cstdint> for uintptr_t

Change-Id: I0d71229fe4dde51b81f9a681bda9d146ba9554be
--- a/svl/source/notify/broadcast.cxx
+++ b/svl/source/notify/broadcast.cxx
@@ -22,6 +22,7 @@
 #include <svl/hint.hxx>
 #include <o3tl/safeint.hxx>
 #include <cassert>
+#include <cstdint>
 #include <algorithm>
 
 /**
-- 
2.49.0

From e98650b7b829c37132ab817176c75b4abda9d9b3 Mon Sep 17 00:00:00 2001
Message-ID: <e98650b7b829c37132ab817176c75b4abda9d9b3.1749840898.git.sam@gentoo.org>
In-Reply-To: <bae60d77e59b93588c1698c3f8fe0d0002122c7b.1749840898.git.sam@gentoo.org>
References: <bae60d77e59b93588c1698c3f8fe0d0002122c7b.1749840898.git.sam@gentoo.org>
From: Sam James <sam@gentoo.org>
Date: Fri, 13 Jun 2025 19:30:18 +0100
Subject: [PATCH 2/2] vcl: include <cstdint> for uint32_t

Change-Id: I274aca50232290ec05be9ea2700720526b8f761d
--- a/include/vcl/font/Feature.hxx
+++ b/include/vcl/font/Feature.hxx
@@ -14,6 +14,7 @@
 #include <rtl/character.hxx>
 #include <rtl/ustring.hxx>
 #include <unotools/resmgr.hxx>
+#include <cstdint>
 #include <vector>
 
 namespace vcl::font
-- 
2.49.0

From 347f9e349fbe6e1b9a7b381aed7f4a5b67deebd5 Mon Sep 17 00:00:00 2001
Message-ID: <347f9e349fbe6e1b9a7b381aed7f4a5b67deebd5.1750018991.git.sam@gentoo.org>
From: Sam James <sam@gentoo.org>
Date: Sat, 14 Jun 2025 19:35:34 +0100
Subject: [PATCH] starmath: include <cstdint> for uint_fast8_t

Change-Id: I2a6576d2d853dd6b34c0ea69287690b462f194e1
--- a/starmath/inc/mathml/def.hxx
+++ b/starmath/inc/mathml/def.hxx
@@ -10,6 +10,7 @@
 #pragma once
 
 #include <tools/color.hxx>
+#include <cstdint>
 
 /* All possible data needed to do the job outside mathml limits */
 // Ml prefix means it is part of mathml standard
-- 
2.49.0

